/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
/**
 * 
 */
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for AuditEventID
 */
public enum EnumCV_AuditEventID 
{
	APPLICATION_ACTIVITY_110100("110100"),
	AUDIT_LOG_USED_110101("110101"),
	BEGIN_TRANSFERRING_DICOM_INSTANCES_110102("110102"),
	DICOM_INSTANCES_ACCESSED_110103("110103"),
	DICOM_INSTANCES_TRANSFERRED_110104("110104"),
	DICOM_STUDY_DELETED_110105("110105"),
	EXPORT_110106("110106"),
	IMPORT_110107("110107"),
	NETWORK_ENTRY_110108("110108"),
	QUERY_110112("110112"),
	SECURITY_ALERT_110113("110113"),
	USER_AUTHENTICATION_110114("110114");

private String value;
	
EnumCV_AuditEventID(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
